if RUBY_VERSION =~ /1.8/ 
  require 'backports'
end 

require "defined"

# TODO
# - check if we could get useful inspiration from https://github.com/givmo/couch_record
# - improve views
# - validation for characters

require_relative File.join('thingtank', 'thingtank.rb')
require_relative File.join('couchrest', 'extensions', 'list.rb')
require_relative File.join('couchrest', 'extensions', 'view.rb')
require_relative File.join('thingtank', 'dependencies.rb')
require_relative File.join('thingtank', 'callbacks.rb')
require_relative File.join('thingtank', 'force_update.rb')
require_relative File.join('thingtank', 'shared_methods.rb')
require_relative File.join('thingtank', 'instance_methods.rb')
require_relative File.join('thingtank', 'shortcuts.rb')
require_relative File.join('thingtank', 'character_handling.rb')
require_relative File.join('thingtank', 'validators.rb')
require_relative File.join('thingtank', 'character.rb')
require_relative File.join('thingtank', 'fakebase.rb')

# TODO: 
# character validator

class ThingTank

  include ThingTank::ForceUpdate
  include ThingTank::SharedMethods
  include ThingTank::InstanceMethods
  include ThingTank::CharacterHandling
  include ThingTank::Shortcuts
  include ThingTank::Callbacks

end


