class ThingTank

  # update_attributes seems to be broken for mass_assign_any_attribute, see
  # http://groups.google.com/group/couchrest/browse_thread/thread/3b6aeb6469a0ea35?pli=1
  # try to fix it be changing a property (ugly hack), also see https://github.com/couchrest/couchrest_model/issues/114
  module ForceUpdate

    def self.included(base)

      base.class_eval do

        property :update_me

        before_validation do
          couchrest_attribute_will_change!('update_me') # or update_me_will_change! will also do
        end

      end

    end

  end

end
