class ThingTank 
  module Shortcuts
    def self.included(klass)
      klass.class_eval do

        def >(klass_or_hash)
          case klass_or_hash
          when Array
            last_character(klass_or_hash.first, klass_or_hash.last)
          else
            to_character(klass_or_hash)
          end
        end

        def <(klass_or_hash)
          case klass_or_hash
          when Array
            first_character(klass_or_hash.first, klass_or_hash.last)
          else
            to_character(klass_or_hash)
          end
        end

        def << (arr)
          klass, key, code= arr.flatten
          if code
            add_character(klass, key, &code)
          else
            add_character(klass, key)
          end
        end

      end
    end
  end
end
