require 'json'
require 'couchrest'
require 'couchrest_model'

class ThingTank < CouchRest::Model::Base

  mass_assign_any_attribute true # should always allow to set non defined arbitrary properties
  timestamps!

  def character_view_by(klass, *keys)
    opts = keys.pop if keys.last.is_a?(Hash)
    opts ||= {}
    opts[:guards] ||= []
    # there is no "inArray" like function in couchdb, see http://stackoverflow.com/questions/3740464/i-have-to-write-every-function-i-need-for-couchdb
    opts[:guards] << "((doc['characters'] !== undefined) && (function (item,arr) { for(p=0;p<arr.length;p++) if (item == arr[p]) return true; return false;})('#{klass.to_s}',doc['characters']))"
    keys << opts
    view_by(*keys)
  end

end



